Imports System.Text
Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports DigitalData.Modules.Logging

<TestClass()> Public Class FileTest

    <ClassInitialize()> Public Shared Sub Setup(Context As TestContext)
        System.IO.File.Create("E:\Test.txt")
    End Sub

    <TestMethod()> Public Sub TestMethod1()
        Dim oLogConfig = New DigitalData.Modules.Logging.LogConfig(LogConfig.PathType.Temp)
        Dim oFilesystem As New DigitalData.Modules.Filesystem.File(oLogConfig)

        Dim oPath = "E:\Test~2345676778697678678967867.txt"
        Dim oVersionedPath = oFilesystem.GetVersionedFilename(oPath)

        Assert.AreEqual(oVersionedPath, oPath)
    End Sub

End Class